﻿@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_partial_load_vanning_inquireScript")
@Html.Partial("_PipeLineInquiryScript")
 
<div class="content">
    <fieldset>
        <table style="width: 100%">
            <tr style="height:30px">
                <td style="width: 3%;"> 
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Order No"; 
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_ORDER_NO";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                       
                    }
                    ).GetHtml()
                </td>
                <td style="width: 3%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Buyer PD";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 3%;"> 
                    
                            @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "I_BUYER_PD";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 100;
                                //settings.SelectedIndex = -1;
                                settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                                settings.Properties.TextFormatString = "{0}";
                                settings.Properties.ValueType = typeof(string);
                                settings.Properties.ValueField = "SYSTEM_CD";
                                settings.Properties.TextField = "SYSTEM_VALUE";
                            }).BindList(ViewData["BUYER_PD"]).GetHtml()  
                     
                </td>
                <td style="width: 3%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "*TMAP Order Date";
                        Label.Width = 120;
                    }).GetHtml()
                </td>
                <td>
                    <table>
                        <tr>
                            <td>
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_ORDER_DATE_FROM";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.ClientSideEvents.DateChanged = "I_ORDER_DT_OnChanged";

                                }).GetHtml()</td>
                            <td style="text-align:center">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "To";
                                    Label.Width = 40;
                                    
                                }).GetHtml()
                               
                            </td>
                            <td>
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_ORDER_DATE_TO";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                }).GetHtml()
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr  style="height:30px">
                <td style="width: 3%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Item No";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_ITEM_NO";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                       
                    }
                    ).GetHtml()
                </td>
                <td style="width: 3%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Order Type";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 10%;">

                    
                            @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "I_ORDER_TYPE";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 100;
                                //settings.SelectedIndex = -1;
                                settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                                settings.Properties.TextFormatString = "{0}";
                                settings.Properties.ValueType = typeof(string);
                                settings.Properties.ValueField = "SYSTEM_CD";
                                settings.Properties.TextField = "SYSTEM_VALUE";
                            }).BindList(ViewData["ORDER_TYPE"]).GetHtml()
                     
                </td>
                <td>
                     @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "ETD";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td>
                    <table>
                        <tr>
                            <td>
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_EDT_FROM";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.ClientSideEvents.DateChanged = "I_EDT_DT_OnChanged";
                                }).GetHtml()</td>
                            <td style="text-align:center">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "To";
                                    Label.Width = 40;
                                    
                                }).GetHtml()
                               
                            </td>
                            <td>
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_EDT_TO";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                }).GetHtml()
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr  style="height:30px">
                <td style="width: 3%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Part No";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_PART_NO";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                       
                    }
                    ).GetHtml()
                </td>
                <td style="width: 3%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Tranp. Code";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 10%;">
                    
                            @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "I_TRANP_CODE";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 100;
                                //settings.SelectedIndex = -1;
                                settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                                settings.Properties.TextFormatString = "{0}";
                                settings.Properties.ValueType = typeof(string);
                                settings.Properties.ValueField = "SYSTEM_CD";
                                settings.Properties.TextField = "SYSTEM_VALUE";
                            }).BindList(ViewData["TRANP_CODE"]).GetHtml()  
                     
                </td>
                <td style="width:3%">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Status";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td>
                <table>
                    <tr>
                        <td>

                            @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "I_STATUS";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 100;
                                //settings.SelectedIndex = -1;
                                settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                                settings.Properties.TextFormatString = "{0}";
                                settings.Properties.ValueType = typeof(string);
                                settings.Properties.ValueField = "SYSTEM_CD";
                                settings.Properties.TextField = "SYSTEM_VALUE";
                            }).BindList(ViewData["PIPELINE_STATUS_1"]).GetHtml() 
                             
                        </td>
                         <td style="text-align:center">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "";
                                    Label.Width = 5;
                                    
                                }).GetHtml()
                               
                            </td>
                        <td > 
                            @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "I_PROCESS";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 100;
                                //settings.SelectedIndex = -1;
                                settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                                settings.Properties.TextFormatString = "{0}";
                                settings.Properties.ValueType = typeof(string);
                                settings.Properties.ValueField = "SYSTEM_CD";
                                settings.Properties.TextField = "SYSTEM_VALUE";
                            }).BindList(ViewData["PIPELINE_STATUS_PROCESS"]).GetHtml()  
                        </td> 
                     </tr> 
                    </table>
                </td>
            </tr>
            <tr>
                    <td style="width:3%">
                        @Html.DevExpress().Label(
                        Label =>
                        {
                            Label.Text = "Stock Flag";
                            Label.Width = 90;
                        }).GetHtml()
                    </td>
                    <td>
                           @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "I_STOCK_FLAG";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 100;
                                //settings.SelectedIndex = -1;
                                settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                                settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                                settings.Properties.TextFormatString = "{0}";
                                settings.Properties.ValueType = typeof(string);
                                settings.Properties.ValueField = "SYSTEM_CD";
                                settings.Properties.TextField = "SYSTEM_VALUE";
                            }).BindList(ViewData["STOCK_FLAG"]).GetHtml() 
                                 
                        </td>
            <td></td>
            <td></td>

                <td style="width: 3%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "*TMMIN Release Date";
                        Label.Width = 130;
                    }).GetHtml()
                </td>
                <td>
                    <table>
                        <tr>
                            <td>
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_TMMIN_RELEASE_DATE_FROM";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.ClientSideEvents.DateChanged = "I_TMMIN_RELEASE_DATE_OnChanged";

                                }).GetHtml()</td>
                            <td style="text-align:center">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "To";
                                    Label.Width = 40;
                                    
                                }).GetHtml()
                               
                            </td>
                            <td>
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_TMMIN_RELEASE_DATE_TO";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                }).GetHtml()
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            </table> 
            <table style="width: 100%">
                <tr>
                     <td  align="right">
                    <div id="search_cnt">
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdSearch";
                   edtSetting.Width = 80;
                   edtSetting.Text = "Search";
                   edtSetting.ClientSideEvents.Click = "OnSearching";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PipelineInquiry", "FTR-SPEX-181-01", "SEARCH");
               }).GetHtml()
                     @Html.DevExpress().Button(edtSetting =>
                    {
                       edtSetting.Name = "cmdClear";
                       edtSetting.Width = 90;
                       edtSetting.Text = "Clear";
                       edtSetting.ClientSideEvents.Click = "OnClear";
                       edtSetting.Style.Add("display", "inline-table");
                       edtSetting.UseSubmitBehavior = true;
                       edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PipelineInquiry", "FTR-SPEX-181-01", "CLEAR");
                    }).GetHtml()
                   </div>
                </td>
                </tr>
            </table>
            <hr />
            <table width="100%">
            <tr id="download_cnt" class="hidden">
                <td align="left" >
                    
                    @Html.DevExpress().Button(edtSetting =>
                    {
                       edtSetting.Name = "cmdDownload";
                       edtSetting.Width = 80;
                       edtSetting.Text = "Download";
                       edtSetting.ClientSideEvents.Click = "DownloadData";
                       edtSetting.Style.Add("display", "inline-table");
                       edtSetting.UseSubmitBehavior = true;
                       edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PipelineInquiry", "FTR-SPEX-181-02", "DOWNLOAD");
                    }).GetHtml()
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdDownloadByTick";
                   edtSetting.Width = 130;
                   edtSetting.Text = "Download Detail";
                   edtSetting.ClientSideEvents.Click = "DownloadDataByTick";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PipelineInquiry", "FTR-SPEX-181-03", "DOWNLOADDETAIL");
               }).GetHtml()
                     
                </td>
            </tr>
           
        </table>
    </fieldset>

</div>
 @Html.DevExpress().TextBox(
      settings =>
      {
           settings.Name = "I_Temp_Range_Order_Date";
           settings.Text = (string)ViewData["Range_Order_Date"];
           settings.Width = 100;
           settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
           settings.ClientVisible = false;
      }
  ).GetHtml()
@Html.DevExpress().TextBox(hsettings =>
                                {
                                    hsettings.Name = "Process_ID2";
                                    hsettings.ClientVisible = false;
                                }).GetHtml()

<div class="content" style="min-height: 300px">
    @Html.Partial("PipeLineInquiryGrid")

</div>
